XUND
API ReferenceSpecializations

Convert internal specialization ids to local specializations

GET/v1/specializations/convertFromXundSpecializationsAndGetDetails

This endpoint is used to convert internal specialization ids to local specializations.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Query Parameters

xundSpecializationIds*array<string>

The specialization ids to get localized specializations for.

Header Parameters

language*string

Language of the returned specialization names. Specialization names are localized; de-formal folds to de, and unknown languages fall back to the default specialization name.

Response Body

application/json

curl -X GET "https://example.com/v1/specializations/convertFromXundSpecializationsAndGetDetails?xundSpecializationIds=84ed952b-cadf-42ad-a70d-71fdc6d5894d&xundSpecializationIds=85d0eae0-4123-4350-9c90-a5981f89363a" \  -H "authorization: Bearer <token>" \  -H "language: en"
{  "84ed952b-cadf-42ad-a70d-71fdc6d5894d": [    {      "id": "84ed952b-cadf-42ad-a70d-71fdc6d5894d",      "name": "Gastroenterology and Hepatology",      "type": "DOCTOR"    }  ],  "85d0eae0-4123-4350-9c90-a5981f89363a": [    {      "id": "85d0eae0-4123-4350-9c90-a5981f89363a",      "name": "Visceral Surgery",      "type": "DOCTOR"    }  ]}

Last updated on